# TAX_EXEMPTION_UPDATED

The status of a tax exemption request has changed.

Endpoint: POST tax_exemption_update
Version: 1.0

## Request fields (application/json):

  - `id` (string)
    ID of the tax exemption request.
    Example: "93bc0b9d-3321-4bac-84ce-1b300a137d7e"

  - `deposit_type` (string)
    The account type.
    Enum: "SAVINGS_ACCOUNT"

  - `deposit_account_id` (string)
    ID of the savings account.
    Example: "e48c29b85992b8772eb7ddd518490920cacc"

  - `main_account_id` (string)
    ID of the internal main account.main_account_id is conditionally required when main_account_iban is null or empty.
    Example: "148c29b85992b8772eb7ddd518490110cacc"

  - `main_account_iban` (string)
    IBAN of the external main account.main_account_iban is conditionally required when main_account_id is null or empty.
    Example: "DE17110101000000000042"

  - `exemption_type` (string)
    Indicates the exemption request type.
    Enum: "CREATE", "UPDATE", "CLOSE", "DELETE"

  - `status` (string)
    The current status of the tax exemption order.
    Enum: "OPENED", "SUCCESS", "FAILED"

  - `failure_reason` (string,null)
    In case the tax exemption request failed, this field will contain the reason. 
  Note that the tax exemption request failed if any of the following criteria are met:
   
  
  Invalid processing year
  Invalid Amount: Exemption amount submitted higher than maximum permissible value
  Invalid amount: Exemption amount submitted smaller than utilization already completed
  The date on which the tax benefit was withdrawn (renounceDate) is invalid
  Date on which tax concession is legally terminated is invalid
  Valid_from_date of the tax concession is invalid
  The validity period of the NV certificate is invalid - longer than 3 years
  Invalid serial number
  Technical Error
  Invalid period: Invalid valid_to date
  Invalid period: the valid_from date is greater than the valid_to date.
  Invalid action: Cannot change termination date
  Invalid amount: The submitted amount must not be negative
  Invalid amount: Amount submitted must be > 0
  The current tax status cannot be changed due to existing tax transactions
  Invalid new TaxStatus
  Invalid action
  Invalid Customer
  Internal Error

  - `amount` (object)
    The amount to be exempted from tax.

  - `amount.value` (integer)
    The amount.
    Example: 5000

  - `amount.unit` (string)
    Money unit used to represent the amount.
    Example: "cents"

  - `amount.currency` (string)
    The currency in which the amount is represented.
    Example: "EUR"

  - `valid_from_year` (string)
    Year from which the tax exemption order takes effect.
    Example: "2023"

  - `valid_to_year` (string)
    Year until which the tax exemption order applies.
    Example: "2025"

  - `updated_at` (string)
    UTC timestamp from when the savings account mapping was executed.
    Example: "2024-04-06T09:03:05.321+00:00"


## Response 200 fields
